Method: approvals.approve

Approves an approval. For more information, see Manage approvals.

This is used to update the ReviewerResponse of the requesting user with a Response of APPROVED. If this is the last required reviewer response, this also completes the approval and sets the approval Status to APPROVED.

HTTP request

POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}:approve

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
fileId

string

Required. The ID of the file that the approval is on.

approvalId

string

Required. The ID of the approval to approve.

Request body

The request body contains data with the following structure:

JSON representation
{
  "message": string
}
Fields
message

string

Optional. A message to accompany the reviewer response on the approval. This message is included in notifications for the action and in the approval activity log.

Response body

If successful, the response body contains an instance of Approval.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/drive.metadata

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.